Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.ejb
Interface CachingHome

All Superinterfaces:
  EJBHome, Remote

public interface CachingHome
extends EJBHome

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `invalidate(Collection primaryKeys)`
`void` | `invalidate(Object primaryKey)`
`void` | `invalidateAll()`
`void` | `invalidateAllLocalServer()`
`void` | `invalidateLocalServer(Collection primaryKeys)`
`void` | `invalidateLocalServer(Object primaryKey)`

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, getHomeHandle, remove, remove`

Method Detail

### invalidate

    public void invalidate(Collection primaryKeys)
                    throws RemoteException

  Throws:
    `RemoteException`

### invalidate

    public void invalidate(Object primaryKey)
                    throws RemoteException

  Throws:
    `RemoteException`

### invalidateAll

    public void invalidateAll()
                       throws RemoteException

  Throws:
    `RemoteException`

### invalidateAllLocalServer

    public void invalidateAllLocalServer()
                                  throws RemoteException

  Throws:
    `RemoteException`

### invalidateLocalServer

    public void invalidateLocalServer(Collection primaryKeys)
                               throws RemoteException

  Throws:
    `RemoteException`

### invalidateLocalServer

    public void invalidateLocalServer(Object primaryKey)
                               throws RemoteException

  Throws:
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD